# proc joker por Vorteko 2 por probar nova sistemo de kontrolo de la ortografio

proc Vorteko::Joker {args} {
	global textofenestro
	
#£ 	tk_messageBox -message "joker aktivesas !\n $textofenestro"
	
	set textoB [$textofenestro get 1.0 end]
	
#£ 	tk_messageBox -message $textoB

	#eliminar la streketi e apostrofi
	set x [regsub -all {[\'-]} $textoB " " textoB ]
#£ 	tk_messageBox -message "$textoB \n nombro de okurenci = $x"

	Vorteko::OrtoJoker $textoB
}

proc Vorteko::OrtoJoker {textoB} {
	global textofenestro
	global dico
	global Voyo
	variable eroro
	variable alfa
	
	set debut 1.0
	set fin end

#£ 	tk_messageBox -message $textoB
# definar la tagi di erori e bona vorti
 	$textofenestro tag remove orto $debut $fin
  	$textofenestro tag configure  orto -foreground red  -underline true
 	$textofenestro tag configure  orto2 -foreground yellow  -background black  -underline false 
set i 0
foreach vorto $textoB {
					set alfa(1) 0 ; 
					set alfa(2) 1 ; 
					}
		
		 	if { [ catch { set dicoAlfa $dico($alfa(1)$alfa(2)) 	} absento ]} {
#£ 				$textofenestro tag add orto $debutVorto $finVorto
lreplace $textoB $i $i £$vorto
				} else {tk_messageBox -message Bone! ;	#Vorteko::Prefixi $vorto $dicoAlfa }
				
				incr i
#£ 							
#£ 			if {$eroro ==1} {$textofenestro tag add orto $debutVorto $finVorto }	
#£ 		
#£ 			if {[ string compare $alfa(1) " " ] ==0} { $textofenestro tag remove orto $debutVorto $finVorto }
#£ 
	

}
